Subject: Re: [quicwg/base-drafts] MinRTT for the congestion control context (#2919)

From: ianswett <[email-masked]>
Date: Mon, 13 Jan 2020 13:17:53 -0800

@ianswett pushed 1 commit.

691c21c96f7c4f364d0e80d1cc7f41a65acc0253  Use path, not congestion control context

-- 
You are receiving this because you are subscribed to this thread.
View it on GitHub:
https://github.com/quicwg/base-drafts/pull/2919/files/1bc2ffea476655a7501f8989415331c753de182c..691c21c96f7c4f364d0e80d1cc7f41a65acc0253

---

From: ianswett <[email-masked]>
Date: Mon, 13 Jan 2020 13:25:42 -0800

810bb972e7874c6d4d99f140ae5262ac7c5921f3  Update draft-ietf-quic-recovery.md

-- 
You are receiving this because you are subscribed to this thread.
View it on GitHub:
https://github.com/quicwg/base-drafts/pull/2919/files/691c21c96f7c4f364d0e80d1cc7f41a65acc0253..810bb972e7874c6d4d99f140ae5262ac7c5921f3

---

From: Jana Iyengar <[email-masked]>
Date: Mon, 13 Jan 2020 13:32:38 -0800

janaiyengar commented on this pull request.

s/path/network path

> @@ -249,11 +249,10 @@ more accurate round-trip time estimate (see Section 13.2 of {{QUIC-TRANSPORT}}).
 At a high level, an endpoint measures the time from when a packet was sent to
 when it is acknowledged as a round-trip time (RTT) sample.  The endpoint uses
 RTT samples and peer-reported host delays (see Section 13.2 of
-{{QUIC-TRANSPORT}}) to generate a statistical description of the connection's
-RTT. An endpoint computes the following three values: the minimum value
-observed over the lifetime of the connection (min_rtt), an
-exponentially-weighted moving average (smoothed_rtt), and the variance in the
-observed RTT samples (rttvar).
+{{QUIC-TRANSPORT}}) to generate a statistical description of the path's RTT.

```suggestion
{{QUIC-TRANSPORT}}) to generate a statistical description of the network path's RTT.
```

> @@ -295,16 +294,22 @@ retain sufficient history is an open research question.
 
 ## Estimating min_rtt {#min-rtt}
 
-min_rtt is the minimum RTT observed over the lifetime of the connection.
-min_rtt is set to the latest_rtt on the first sample in a connection, and to the
-lesser of min_rtt and latest_rtt on subsequent samples.
+min_rtt is the minimum RTT observed for a given path.  min_rtt is set to the

```suggestion
min_rtt is the minimum RTT observed for a given network path.  min_rtt is set to the
```

 An endpoint uses only locally observed times in computing the min_rtt and does
 not adjust for host delays reported by the peer.  Doing so allows the endpoint
 to set a lower bound for the smoothed_rtt based entirely on what it observes
 (see {{smoothed-rtt}}), and limits potential underestimation due to
 erroneously-reported delays by the peer.
 
+The RTT for a path may change over time.  If a path's actual RTT decreases,

```suggestion
The RTT for a network path may change over time.  If a path's actual RTT decreases,
```

> @@ -333,11 +338,10 @@ endpoint:
   min_rtt.  This limits the underestimation that a misreporting peer can cause
   to the smoothed_rtt.
 
-On the first RTT sample in a connection, the smoothed_rtt is set to the
-latest_rtt.
+On the first RTT sample for a path, the smoothed_rtt is set to the latest_rtt.

```suggestion
On the first RTT sample for a network path, the smoothed_rtt is set to the latest_rtt.
```

 smoothed_rtt and rttvar are computed as follows, similar to {{?RFC6298}}.  On
-the first RTT sample in a connection:
+the first RTT sample for a path:

```suggestion
the first RTT sample for a network path:
```

 An endpoint uses only locally observed times in computing the min_rtt and does
 not adjust for host delays reported by the peer.  Doing so allows the endpoint
 to set a lower bound for the smoothed_rtt based entirely on what it observes
 (see {{smoothed-rtt}}), and limits potential underestimation due to
 erroneously-reported delays by the peer.
 
+The RTT for a path may change over time.  If a path's actual RTT decreases,
+the min_rtt will adapt immediately on the first low sample.  If the path's

```suggestion
the min_rtt will adapt immediately on the first low sample.  If the network path's
```

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/2919#pullrequestreview-342152058

---

From: ianswett <[email-masked]>
Date: Mon, 13 Jan 2020 13:33:03 -0800

5d9f7f215431d1f0c0056952123549d0966f08bd  Merge branch 'master' into ianswett-min-rtt

-- 
You are receiving this because you are subscribed to this thread.
View it on GitHub:
https://github.com/quicwg/base-drafts/pull/2919/files/810bb972e7874c6d4d99f140ae5262ac7c5921f3..5d9f7f215431d1f0c0056952123549d0966f08bd

---

From: ianswett <[email-masked]>
Date: Mon, 13 Jan 2020 13:33:48 -0800

a25ffdfa5a413decae02c948c1823c87ca11e98c  Update draft-ietf-quic-recovery.md

-- 
You are receiving this because you are subscribed to this thread.
View it on GitHub:
https://github.com/quicwg/base-drafts/pull/2919/files/5d9f7f215431d1f0c0056952123549d0966f08bd..a25ffdfa5a413decae02c948c1823c87ca11e98c

---

From: ianswett <[email-masked]>
Date: Mon, 13 Jan 2020 13:33:55 -0800

5df69d1f1ee882f8aac9da6ed136caf886ba5c91  Update draft-ietf-quic-recovery.md

-- 
You are receiving this because you are subscribed to this thread.
View it on GitHub:
https://github.com/quicwg/base-drafts/pull/2919/files/a25ffdfa5a413decae02c948c1823c87ca11e98c..5df69d1f1ee882f8aac9da6ed136caf886ba5c91

---

From: ianswett <[email-masked]>
Date: Mon, 13 Jan 2020 13:34:02 -0800

742b7c7e1bbb5796e29902348780dd62893bc899  Update draft-ietf-quic-recovery.md

-- 
You are receiving this because you are subscribed to this thread.
View it on GitHub:
https://github.com/quicwg/base-drafts/pull/2919/files/5df69d1f1ee882f8aac9da6ed136caf886ba5c91..742b7c7e1bbb5796e29902348780dd62893bc899

---

From: ianswett <[email-masked]>
Date: Mon, 13 Jan 2020 13:34:08 -0800

ce29f01d16cf897f8ee15523113329e9d2cfa386  Update draft-ietf-quic-recovery.md

-- 
You are receiving this because you are subscribed to this thread.
View it on GitHub:
https://github.com/quicwg/base-drafts/pull/2919/files/742b7c7e1bbb5796e29902348780dd62893bc899..ce29f01d16cf897f8ee15523113329e9d2cfa386

---

From: ianswett <[email-masked]>
Date: Mon, 13 Jan 2020 13:34:15 -0800

676dbe63dd22f873e69f5717ac7027e1485ed3d8  Update draft-ietf-quic-recovery.md

-- 
You are receiving this because you are subscribed to this thread.
View it on GitHub:
https://github.com/quicwg/base-drafts/pull/2919/files/ce29f01d16cf897f8ee15523113329e9d2cfa386..676dbe63dd22f873e69f5717ac7027e1485ed3d8

---

From: ianswett <[email-masked]>
Date: Mon, 13 Jan 2020 13:34:22 -0800

ee320015687ecbce52b1883e745452391c073625  Update draft-ietf-quic-recovery.md

-- 
You are receiving this because you are subscribed to this thread.
View it on GitHub:
https://github.com/quicwg/base-drafts/pull/2919/files/676dbe63dd22f873e69f5717ac7027e1485ed3d8..ee320015687ecbce52b1883e745452391c073625

---

From: Jana Iyengar <[email-masked]>
Date: Mon, 13 Jan 2020 13:34:53 -0800

janaiyengar approved this pull request.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/2919#pullrequestreview-342154564

---

From: ianswett <[email-masked]>
Date: Mon, 13 Jan 2020 13:36:23 -0800

68a16ddef6622da71f7b71f96a4308bdf30e2196  Update draft-ietf-quic-recovery.md

-- 
You are receiving this because you are subscribed to this thread.
View it on GitHub:
https://github.com/quicwg/base-drafts/pull/2919/files/ee320015687ecbce52b1883e745452391c073625..68a16ddef6622da71f7b71f96a4308bdf30e2196

---

From: ianswett <[email-masked]>
Date: Mon, 13 Jan 2020 13:39:03 -0800

dcc70434385bffcbbbcd741778f96c73341e676b  Update draft-ietf-quic-recovery.md

-- 
You are receiving this because you are subscribed to this thread.
View it on GitHub:
https://github.com/quicwg/base-drafts/pull/2919/files/68a16ddef6622da71f7b71f96a4308bdf30e2196..dcc70434385bffcbbbcd741778f96c73341e676b

---

From: ianswett <[email-masked]>
Date: Mon, 13 Jan 2020 13:40:53 -0800

Merged #2919 into master.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/2919#event-2944864458